Bug 754840 - Ping command errors out on pulp
Ping command errors out on pulp
Status: CLOSED CURRENTRELEASE
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom McKay
SAM QE List
: Triaged
Depends On:
Blocks: 703617
  Show dependency treegraph
 
Reported: 2011-11-17 16:20 EST by Bryan Kearney
Modified: 2012-04-26 20:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-26 20:22:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Kearney 2011-11-17 16:20:06 EST
Executing the following CLI command

headpin -u admin -p admin ping

will result in the followin errors:

 Status   Service          Result   Duration   Message                      
--------------------------------------------------------------------------------
 fail                                                                       
          candlepin        ok       58ms                                    
          candlepin_auth   ok       86ms                                    
          pulp             fail                404 Resource Not Found       
          pulp_auth        fail                uninitialized constant Pulp  


The pulp portions should be commented out.
Comment 1 Tom McKay 2011-12-05 10:52:12 EST
commit 3d3deb77e7f688397682dfd81097907581b9fb81
Author: Tom McKay <thomasmckay@redhat.com>
Date:   Mon Dec 5 10:50:29 2011 -0500

    + Bug 754840 - Ping command errors out on pulp
      https://bugzilla.redhat.com/show_bug.cgi?id=754840
      Fenced pings to pulp for katello-only
Comment 2 Eric Sammons 2012-01-12 13:45:55 EST
# headpin -u [user] -p [password] ping
--------------------------------------------------------------------------------
                                 Katello Status

 Status   Service          Result   Duration   Message  
--------------------------------------------------------------------------------
 ok                                                     
          candlepin        ok       25ms                
          candlepin_auth   ok       26ms                



VERIFIED:
# rpm -qf $(which headpin)
katello-cli-headpin-0.1.13-2.el6.noarch

Note You need to log in before you can comment on or make changes to this bug.